## pypck 0.8.2

=== debian/changelog ===
pypck (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 28 Dec 2024 15:14:29 +0000

pypck (0.8.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 22 Dec 2024 10:04:28 +0000

pypck (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1090996)

 -- Edward Betts <edward@4angle.com>  Sat, 21 Dec 2024 23:35:49 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypck
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pypck.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

## pypck 0.8.3

=== debian/changelog ===
pypck (0.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Mon, 06 Jan 2025 07:57:54 +0000

## pypck 0.9.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyPCK
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pypck 0.8.5

=== debian/changelog ===
pypck (0.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 03 Feb 2025 08:04:45 +0100

=== debian/control ===
Source: pypck
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/alengwenus/pypck
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypck
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypck.git

Package: python3-pypck
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for interacting with LCN systems over the PCK protocol
 This library enables integration with LCN (Local Control Network) hardware
 systems via the LCN-PCK protocol. It facilitates communication with various
 LCN modules by sending and receiving commands through an LCN-PCHK host.
 Compatible hardware includes binary sensors, climate controls, covers,
 lighting, scenes, sensors, and switches. Users can manage and monitor these
 devices, interacting with the LCN system for automation and control. The
 library requires a valid LCN-PCHK license along with the necessary hardware
 coupler to establish a connection.

=== debian/watch ===
version=4
https://github.com/alengwenus/pypck/tags .*/v?(\d\S+)\.tar\.gz

## pypck 0.8.6

=== debian/changelog ===
pypck (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 02 May 2025 18:00:06 +0300

## pypck 0.8.8

=== debian/changelog ===
pypck (0.8.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 15:53:20 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
  python3-pytest-asyncio <!nocheck>,
  python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/alengwenus/pypck
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypck
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypck.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pypck
 Architecture: all

## pypck 0.8.10

=== debian/changelog ===
pypck (0.8.10-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Jul 2025 22:52:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

## pypck 0.9.2

=== debian/changelog ===
pypck (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 12:26:09 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-sphinx <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/alengwenus/pypck
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypck

=== debian/watch ===
Version: 5

Template: Github
Owner: alengwenus
Project: pypck

## pypck 0.9.7

=== debian/changelog ===
pypck (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 08 Dec 2025 07:13:13 +0000

## pypck 0.9.8

=== debian/changelog ===
pypck (0.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 09:54:50 +0000

## pypck 0.9.9

=== debian/changelog ===
pypck (0.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 29 Dec 2025 06:07:57 +0000

## pypck 0.9.10

=== debian/changelog ===
pypck (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Mon, 09 Feb 2026 06:14:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,7 +14,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/alengwenus/pypck
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypck
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypck.git

## pypck 0.9.11

=== debian/changelog ===
pypck (0.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 17 Feb 2026 19:04:54 +0000
